- entry_type: location_invariant
  metadata:
    format_version: "0.1"
    uuid: 79513bcc-e855-40a7-828e-6e30eebc5053
    creation_time: 2024-06-18T16:04:03Z
    producer:
      name: Goblint
      version: heads/yaml-witness-ghost-0-g7fcb10cd0-dirty
      command_line: '''./goblint'' ''--conf'' ''conf/svcomp-ghost.json'' ''--set''
        ''ana.base.privatization'' ''mutex-meet'' ''--set'' ''ana.activated[+]'' ''apron''
        ''--set'' ''ana.autotune.activated[-]'' ''octagon'' ''--enable'' ''ana.apron.invariant.diff-box''
        ''--disable'' ''ana.base.invariant.enabled'' ''--set'' ''ana.apron.domain''
        ''octagon'' ''--set'' ''ana.autotune.activated[-]'' ''wideningThresholds''
        ''--sets'' ''ana.specification'' ''/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/properties/unreach-call.prp''
        ''--sets'' ''exp.architecture'' ''32bit'' ''/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/mix041_power.opt_pso.opt_rmo.opt_tso.oepc_tso.opt.i'''
    task:
      input_files:
      - /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/mix041_power.opt_pso.opt_rmo.opt_tso.oepc_tso.opt.i
      input_file_hashes:
        /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/mix041_power.opt_pso.opt_rmo.opt_tso.oepc_tso.opt.i: bcf8be2e0ebdad705b2868a16d6f5dfa937315d70be824d82e2d5945253ac067
      data_model: ILP32
      language: C
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
  location:
    file_name: /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/mix041_power.opt_pso.opt_rmo.opt_tso.oepc_tso.opt.i
    file_hash: bcf8be2e0ebdad705b2868a16d6f5dfa937315d70be824d82e2d5945253ac067
    line: 805
    column: 3
    function: main
  location_invariant:
    string: '! multithreaded || (((((((((((((((((((((((((((((((((((((((((((0LL - (long
      long )__unbuffered_p1_EAX) + (long long )y >= 0LL && (0LL - (long long )__unbuffered_p1_EBX)
      + (long long )z >= 0LL) && (0LL - (long long )x$r_buff0_thd2) + (long long )x$w_buff0
      >= 0LL) && (0LL - (long long )x$r_buff1_thd2) + (long long )x$w_buff0 >= 0LL)
      && (0LL - (long long )x$r_buff1_thd2) + (long long )x$w_buff1 >= 0LL) && (1LL
      - (long long )__unbuffered_p1_EBX) + (long long )main$tmp_guard1 >= 0LL) &&
      (1LL - (long long )__unbuffered_p1_EBX) + (long long )x >= 0LL) && (1LL - (long
      long )__unbuffered_p1_EBX) + (long long )x$flush_delayed >= 0LL) && (1LL - (long
      long )__unbuffered_p1_EBX) + (long long )x$mem_tmp >= 0LL) && (1LL - (long long
      )__unbuffered_p1_EBX) + (long long )x$r_buff0_thd0 >= 0LL) && (1LL - (long long
      )__unbuffered_p1_EBX) + (long long )x$r_buff0_thd1 >= 0LL) && (1LL - (long long
      )__unbuffered_p1_EBX) + (long long )x$r_buff0_thd2 >= 0LL) && (1LL - (long long
      )__unbuffered_p1_EBX) + (long long )x$r_buff1_thd0 >= 0LL) && (1LL - (long long
      )__unbuffered_p1_EBX) + (long long )x$r_buff1_thd1 >= 0LL) && (1LL - (long long
      )__unbuffered_p1_EBX) + (long long )x$r_buff1_thd2 >= 0LL) && (1LL - (long long
      )__unbuffered_p1_EBX) + (long long )x$read_delayed >= 0LL) && (1LL - (long long
      )__unbuffered_p1_EBX) + (long long )x$w_buff0 >= 0LL) && (1LL - (long long )__unbuffered_p1_EBX)
      + (long long )x$w_buff0_used >= 0LL) && (1LL - (long long )__unbuffered_p1_EBX)
      + (long long )x$w_buff1 >= 0LL) && (1LL - (long long )__unbuffered_p1_EBX) +
      (long long )x$w_buff1_used >= 0LL) && (1LL - (long long )__unbuffered_p1_EBX)
      + (long long )y >= 0LL) && (1LL - (long long )__unbuffered_p1_EBX) + (long long
      )weak$$choice0 >= 0LL) && (1LL - (long long )__unbuffered_p1_EBX) + (long long
      )weak$$choice2 >= 0LL) && (1LL - (long long )x) + (long long )x$r_buff0_thd2
      >= 0LL) && (1LL - (long long )x) + (long long )x$w_buff0 >= 0LL) && (1LL + (long
      long )__unbuffered_cnt) - (long long )__unbuffered_p1_EBX >= 0LL) && (1LL +
      (long long )__unbuffered_p1_EAX) - (long long )__unbuffered_p1_EBX >= 0LL) &&
      (1LL - (long long )__unbuffered_p1_EBX) - (long long )x$flush_delayed >= 0LL)
      && (1LL - (long long )__unbuffered_p1_EBX) - (long long )x$r_buff0_thd0 >= 0LL)
      && (1LL - (long long )__unbuffered_p1_EBX) - (long long )x$r_buff0_thd1 >= 0LL)
      && (1LL - (long long )__unbuffered_p1_EBX) - (long long )x$r_buff1_thd0 >= 0LL)
      && (1LL - (long long )__unbuffered_p1_EBX) - (long long )x$r_buff1_thd1 >= 0LL)
      && (1LL - (long long )__unbuffered_p1_EBX) - (long long )x$read_delayed >= 0LL)
      && (2LL - (long long )__unbuffered_p1_EBX) - (long long )z >= 0LL) && (long
      long )x$r_buff0_thd2 - (long long )x$r_buff1_thd2 >= 0LL) && (long long )x$r_buff0_thd2
      - (long long )x$w_buff0_used >= 0LL) && (long long )x$r_buff0_thd2 - (long long
      )x$w_buff1_used >= 0LL) && (long long )x$r_buff1_thd2 - (long long )x$w_buff1_used
      >= 0LL) && (long long )x$w_buff0 - (long long )x$w_buff0_used >= 0LL) && (long
      long )x$w_buff0 - (long long )x$w_buff1 >= 0LL) && (long long )x$w_buff0 - (long
      long )x$w_buff1_used >= 0LL) && (long long )x$w_buff0_used - (long long )x$w_buff1_used
      >= 0LL) && (long long )x$w_buff1 - (long long )x$w_buff1_used >= 0LL)'
    type: assertion
    format: C
- entry_type: location_invariant
  metadata:
    format_version: "0.1"
    uuid: a3f8d592-109c-4f8d-984a-cae0ec7bb61a
    creation_time: 2024-06-18T16:04:03Z
    producer:
      name: Goblint
      version: heads/yaml-witness-ghost-0-g7fcb10cd0-dirty
      command_line: '''./goblint'' ''--conf'' ''conf/svcomp-ghost.json'' ''--set''
        ''ana.base.privatization'' ''mutex-meet'' ''--set'' ''ana.activated[+]'' ''apron''
        ''--set'' ''ana.autotune.activated[-]'' ''octagon'' ''--enable'' ''ana.apron.invariant.diff-box''
        ''--disable'' ''ana.base.invariant.enabled'' ''--set'' ''ana.apron.domain''
        ''octagon'' ''--set'' ''ana.autotune.activated[-]'' ''wideningThresholds''
        ''--sets'' ''ana.specification'' ''/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/properties/unreach-call.prp''
        ''--sets'' ''exp.architecture'' ''32bit'' ''/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/mix041_power.opt_pso.opt_rmo.opt_tso.oepc_tso.opt.i'''
    task:
      input_files:
      - /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/mix041_power.opt_pso.opt_rmo.opt_tso.oepc_tso.opt.i
      input_file_hashes:
        /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/mix041_power.opt_pso.opt_rmo.opt_tso.oepc_tso.opt.i: bcf8be2e0ebdad705b2868a16d6f5dfa937315d70be824d82e2d5945253ac067
      data_model: ILP32
      language: C
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
  location:
    file_name: /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/mix041_power.opt_pso.opt_rmo.opt_tso.oepc_tso.opt.i
    file_hash: bcf8be2e0ebdad705b2868a16d6f5dfa937315d70be824d82e2d5945253ac067
    line: 806
    column: 3
    function: main
  location_invariant:
    string: '! multithreaded || (((((((((((((((((((((((((((((((((((((((((((0LL - (long
      long )__unbuffered_p1_EAX) + (long long )y >= 0LL && (0LL - (long long )__unbuffered_p1_EBX)
      + (long long )z >= 0LL) && (0LL - (long long )x$r_buff0_thd2) + (long long )x$w_buff0
      >= 0LL) && (0LL - (long long )x$r_buff1_thd2) + (long long )x$w_buff0 >= 0LL)
      && (0LL - (long long )x$r_buff1_thd2) + (long long )x$w_buff1 >= 0LL) && (1LL
      - (long long )__unbuffered_p1_EBX) + (long long )main$tmp_guard1 >= 0LL) &&
      (1LL - (long long )__unbuffered_p1_EBX) + (long long )x >= 0LL) && (1LL - (long
      long )__unbuffered_p1_EBX) + (long long )x$flush_delayed >= 0LL) && (1LL - (long
      long )__unbuffered_p1_EBX) + (long long )x$mem_tmp >= 0LL) && (1LL - (long long
      )__unbuffered_p1_EBX) + (long long )x$r_buff0_thd0 >= 0LL) && (1LL - (long long
      )__unbuffered_p1_EBX) + (long long )x$r_buff0_thd1 >= 0LL) && (1LL - (long long
      )__unbuffered_p1_EBX) + (long long )x$r_buff0_thd2 >= 0LL) && (1LL - (long long
      )__unbuffered_p1_EBX) + (long long )x$r_buff1_thd0 >= 0LL) && (1LL - (long long
      )__unbuffered_p1_EBX) + (long long )x$r_buff1_thd1 >= 0LL) && (1LL - (long long
      )__unbuffered_p1_EBX) + (long long )x$r_buff1_thd2 >= 0LL) && (1LL - (long long
      )__unbuffered_p1_EBX) + (long long )x$read_delayed >= 0LL) && (1LL - (long long
      )__unbuffered_p1_EBX) + (long long )x$w_buff0 >= 0LL) && (1LL - (long long )__unbuffered_p1_EBX)
      + (long long )x$w_buff0_used >= 0LL) && (1LL - (long long )__unbuffered_p1_EBX)
      + (long long )x$w_buff1 >= 0LL) && (1LL - (long long )__unbuffered_p1_EBX) +
      (long long )x$w_buff1_used >= 0LL) && (1LL - (long long )__unbuffered_p1_EBX)
      + (long long )y >= 0LL) && (1LL - (long long )__unbuffered_p1_EBX) + (long long
      )weak$$choice0 >= 0LL) && (1LL - (long long )__unbuffered_p1_EBX) + (long long
      )weak$$choice2 >= 0LL) && (1LL - (long long )x) + (long long )x$r_buff0_thd2
      >= 0LL) && (1LL - (long long )x) + (long long )x$w_buff0 >= 0LL) && (1LL + (long
      long )__unbuffered_cnt) - (long long )__unbuffered_p1_EBX >= 0LL) && (1LL +
      (long long )__unbuffered_p1_EAX) - (long long )__unbuffered_p1_EBX >= 0LL) &&
      (1LL - (long long )__unbuffered_p1_EBX) - (long long )x$flush_delayed >= 0LL)
      && (1LL - (long long )__unbuffered_p1_EBX) - (long long )x$r_buff0_thd0 >= 0LL)
      && (1LL - (long long )__unbuffered_p1_EBX) - (long long )x$r_buff0_thd1 >= 0LL)
      && (1LL - (long long )__unbuffered_p1_EBX) - (long long )x$r_buff1_thd0 >= 0LL)
      && (1LL - (long long )__unbuffered_p1_EBX) - (long long )x$r_buff1_thd1 >= 0LL)
      && (1LL - (long long )__unbuffered_p1_EBX) - (long long )x$read_delayed >= 0LL)
      && (2LL - (long long )__unbuffered_p1_EBX) - (long long )z >= 0LL) && (long
      long )x$r_buff0_thd2 - (long long )x$r_buff1_thd2 >= 0LL) && (long long )x$r_buff0_thd2
      - (long long )x$w_buff0_used >= 0LL) && (long long )x$r_buff0_thd2 - (long long
      )x$w_buff1_used >= 0LL) && (long long )x$r_buff1_thd2 - (long long )x$w_buff1_used
      >= 0LL) && (long long )x$w_buff0 - (long long )x$w_buff0_used >= 0LL) && (long
      long )x$w_buff0 - (long long )x$w_buff1 >= 0LL) && (long long )x$w_buff0 - (long
      long )x$w_buff1_used >= 0LL) && (long long )x$w_buff0_used - (long long )x$w_buff1_used
      >= 0LL) && (long long )x$w_buff1 - (long long )x$w_buff1_used >= 0LL)'
    type: assertion
    format: C
- entry_type: ghost_variable
  metadata:
    format_version: "0.1"
    uuid: a5581463-0cf3-43e6-ac4e-99f5427aea42
    creation_time: 2024-06-18T16:04:03Z
    producer:
      name: Goblint
      version: heads/yaml-witness-ghost-0-g7fcb10cd0-dirty
      command_line: '''./goblint'' ''--conf'' ''conf/svcomp-ghost.json'' ''--set''
        ''ana.base.privatization'' ''mutex-meet'' ''--set'' ''ana.activated[+]'' ''apron''
        ''--set'' ''ana.autotune.activated[-]'' ''octagon'' ''--enable'' ''ana.apron.invariant.diff-box''
        ''--disable'' ''ana.base.invariant.enabled'' ''--set'' ''ana.apron.domain''
        ''octagon'' ''--set'' ''ana.autotune.activated[-]'' ''wideningThresholds''
        ''--sets'' ''ana.specification'' ''/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/properties/unreach-call.prp''
        ''--sets'' ''exp.architecture'' ''32bit'' ''/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/mix041_power.opt_pso.opt_rmo.opt_tso.oepc_tso.opt.i'''
    task:
      input_files:
      - /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/mix041_power.opt_pso.opt_rmo.opt_tso.oepc_tso.opt.i
      input_file_hashes:
        /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/mix041_power.opt_pso.opt_rmo.opt_tso.oepc_tso.opt.i: bcf8be2e0ebdad705b2868a16d6f5dfa937315d70be824d82e2d5945253ac067
      data_model: ILP32
      language: C
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
  variable: multithreaded
  scope: global
  type: int
  initial: "0"
- entry_type: ghost_update
  metadata:
    format_version: "0.1"
    uuid: 87ad4971-f07c-437a-b6c9-e7a356517d72
    creation_time: 2024-06-18T16:04:03Z
    producer:
      name: Goblint
      version: heads/yaml-witness-ghost-0-g7fcb10cd0-dirty
      command_line: '''./goblint'' ''--conf'' ''conf/svcomp-ghost.json'' ''--set''
        ''ana.base.privatization'' ''mutex-meet'' ''--set'' ''ana.activated[+]'' ''apron''
        ''--set'' ''ana.autotune.activated[-]'' ''octagon'' ''--enable'' ''ana.apron.invariant.diff-box''
        ''--disable'' ''ana.base.invariant.enabled'' ''--set'' ''ana.apron.domain''
        ''octagon'' ''--set'' ''ana.autotune.activated[-]'' ''wideningThresholds''
        ''--sets'' ''ana.specification'' ''/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/properties/unreach-call.prp''
        ''--sets'' ''exp.architecture'' ''32bit'' ''/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/mix041_power.opt_pso.opt_rmo.opt_tso.oepc_tso.opt.i'''
    task:
      input_files:
      - /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/mix041_power.opt_pso.opt_rmo.opt_tso.oepc_tso.opt.i
      input_file_hashes:
        /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/mix041_power.opt_pso.opt_rmo.opt_tso.oepc_tso.opt.i: bcf8be2e0ebdad705b2868a16d6f5dfa937315d70be824d82e2d5945253ac067
      data_model: ILP32
      language: C
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
  variable: multithreaded
  expression: "1"
  location:
    file_name: /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/mix041_power.opt_pso.opt_rmo.opt_tso.oepc_tso.opt.i
    file_hash: bcf8be2e0ebdad705b2868a16d6f5dfa937315d70be824d82e2d5945253ac067
    line: 803
    column: 3
    function: main
